Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.toolbox.plugins
Class ExtractAttachments

    java.lang.Object
      com.lowagie.toolbox.AbstractTool
          com.lowagie.toolbox.plugins.ExtractAttachments

All Implemented Interfaces:
  ActionListener, EventListener

    public class ExtractAttachments

extends AbstractTool

This tool lets you extract the attachments of a PDF.

Since:
  2.1.1 (imported from itexttoolbox project)

Field Summary

Fields inherited from class com.lowagie.toolbox.AbstractTool
`arguments, internalFrame, MENU_EXECUTE, MENU_EXECUTE_PRINT, MENU_EXECUTE_PRINT_SILENT, MENU_EXECUTE_SHOW, menuoptions, versionsarray`

Constructor Summary
`ExtractAttachments()` Constructs a ExtractAttachements object.

Method Summary
`protected void` | `createFrame()` Creates the internal frame.
`void` | `execute()` Executes the tool (in most cases this generates a PDF file).
`protected File` | `getDestPathPDF()` Gets the PDF file that should be generated (or null if the output isn't a PDF file).
`static void` | `main(String[] args)` Extract the attachments of a PDF.
`static void` | `unpackFile(PdfReader reader, PdfDictionary filespec, String outPath)` Unpacks a file attachment.
`void` | `valueHasChanged(AbstractArgument arg)` Indicates that the value of an argument has changed.

Methods inherited from class com.lowagie.toolbox.AbstractTool
`actionPerformed, addVersion, getArguments, getInternalFrame, getMenubar, getUsage, getValue, setArguments, setInternalFrame, setMainArguments, setMenubar`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtractAttachments

    public ExtractAttachments()

  Constructs a ExtractAttachements object.

Method Detail

### createFrame

    protected void createFrame()

  Description copied from class: `AbstractTool`
  Creates the internal frame.

  Specified by:
    `createFrame` in class `AbstractTool`
  See Also:
    `AbstractTool.createFrame()`

### execute

    public void execute()

  Description copied from class: `AbstractTool`
  Executes the tool (in most cases this generates a PDF file).

  Specified by:
    `execute` in class `AbstractTool`
  See Also:
    `AbstractTool.execute()`

### valueHasChanged

    public void valueHasChanged(AbstractArgument arg)

  Description copied from class: `AbstractTool`
  Indicates that the value of an argument has changed.

  Specified by:
    `valueHasChanged` in class `AbstractTool`
  Parameters:
    `arg` - StringArgument
  See Also:
    `AbstractTool.valueHasChanged(com.lowagie.toolbox.arguments.AbstractArgument)`

### main

    public static void main(String[] args)

  Extract the attachments of a PDF.

  Parameters:
    `args` - String[]

### getDestPathPDF

    protected File getDestPathPDF()
                           throws InstantiationException

  Description copied from class: `AbstractTool`
  Gets the PDF file that should be generated (or null if the output isn't a PDF file).

  Specified by:
    `getDestPathPDF` in class `AbstractTool`
  Returns:
    File
  Throws:
    `InstantiationException`
  See Also:
    `AbstractTool.getDestPathPDF()`

### unpackFile

    public static void unpackFile(PdfReader reader,
                                  PdfDictionary filespec,
                                  String outPath)
                           throws IOException

  Unpacks a file attachment.

  Parameters:
    `reader` - The object that reads the PDF document
    `filespec` - The dictionary containing the file specifications
    `outPath` - The path where the attachment has to be written
  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD